"use strict";

const parse = require("./parse-foodbook");

let searchHtml = `

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Digital Catalog</title>

    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="shortcut icon" type="image/x-icon" href="/prod/favicon.ico">

    <meta name="mobile-web-app-capable" content="yes">
    

    <meta name="apple-mobile-web-app-capable" content="yes">
    <link rel="apple-touch-icon" href="/prod/launcer-icon.png">
    <meta name="apple-mobile-web-app-title" content="PS FoodBook">

    <link href="/prod/Content/bootstrap.css?v=3.2.0" rel="stylesheet"/>
<link href="/prod/Content/bootstrap-treeview.css?v=3.2.0" rel="stylesheet"/>
<link href="/prod/Content/flexslider.css?v=3.2.0" rel="stylesheet"/>
<link href="/prod/Content/flags/flag-icon.min.css?v=3.2.0" rel="stylesheet"/>
<link href="/prod/Content/jquery.fancybox.min.css?v=3.2.0" rel="stylesheet"/>
<link href="/prod/Content/site.css?v=3.2.0" rel="stylesheet"/>

    <script src="/prod/Scripts/modernizr-2.8.3.js?v=3.2.0"></script>

    <script src="/prod/Scripts/jquery-2.1.1.js?v=3.2.0"></script>
<script src="/prod/Scripts/bootstrap.placeholder.min.js?v=3.2.0"></script>
<script src="/prod/Scripts/jquery.lazyload.min.js?v=3.2.0"></script>
<script src="/prod/Scripts/bootstrap.ListShowMoreLess.js?v=3.2.0"></script>
<script src="/prod/Scripts/jquery.flexslider-min.js?v=3.2.0"></script>
<script src="/prod/Scripts/bootstrap-treeview.js?v=3.2.0"></script>
<script src="/prod/Scripts/bootstrap.listfilter.js?v=3.2.0"></script>
<script src="/prod/Scripts/jquery.fancybox.min.js?v=3.2.0"></script>

    <script src="/prod/Scripts/bootstrap.js?v=3.2.0"></script>

    <script src="/prod/Scripts/Site.js?v=3.2.0"></script>


    <script src="https://cdn.psinfoodservice.com/kendo/2019.1.220/js/kendo.all.min.js"></script>
    <script src="https://cdn.psinfoodservice.com/kendo/2019.1.220/js/kendo.aspnetmvc.min.js"></script>
    <script src="https://cdn.psinfoodservice.com/kendo/2019.1.220/js/cultures/kendo.culture.nl-NL.min.js"></script>

    <link href="https://cdn.psinfoodservice.com/kendo/2019.1.220/styles/kendo.rtl.min.css" rel="stylesheet" />
    <link href="https://cdn.psinfoodservice.com/kendo/2019.1.220/styles/kendo.bootstrap-v4.min.css" rel="stylesheet" />

    <link href="https://cdn.psinfoodservice.com/fontawesome/5.0.8/web-fonts-with-css/css/fontawesome-all.min.css" rel="stylesheet" />
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="~/Scripts/html5shiv.min.js"></script>
      <script src="~/Scripts/respond.min.js"></script>
    <![endif]-->
    <!-- Exception in styling for a specific Digital Catalog The defaults are set in site.css-->

    <style>
        a.mainLg:hover {
            text-decoration: none !important;
        }
    </style>

        <!--    custom banner style    -->
</head>
<body>
    
    <nav class="navbar navbar-fixed-top navbar-default" role="navigation">
        <div class="container">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand visible-xs-inline" href="/prod/dc">Home</a>
                <a class="navbar-brand hidden-xs mainLg " href="/prod/dc">
                    <div class="divMn">

                            <img alt="logo" class="logo hidden-xs" style="height: 40px;" src="/prod/content/logo/ps_logo.png" />

                        <span>
                            FoodBook | PS in foodservice
                                <span> - </span>NL                        </span>
                    </div>
                </a>
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">

                <ul class="nav navbar-nav navbar-right">
    <li class="dropdown language">
        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
            <span class="flag-icon flag-icon-nl flag-icon-menu"></span><span class="caret"></span>
        </a>
        <ul class="dropdown-menu" role="menu">
            <li><a href="/prod/Account/ChangeCulture?culture=en-US&amp;redirectUrl=%2Fprod%2Fdc"><span class="flag-icon flag-icon-en flag-icon-menu"> </span></a></li>
            <li><a href="/prod/Account/ChangeCulture?culture=nl-NL&amp;redirectUrl=%2Fprod%2Fdc"><span class="flag-icon flag-icon-nl flag-icon-menu"> </span></a></li>
            <li><a href="/prod/Account/ChangeCulture?culture=fr-FR&amp;redirectUrl=%2Fprod%2Fdc"><span class="flag-icon flag-icon-fr flag-icon-menu"> </span></a></li>
            <li><a href="/prod/Account/ChangeCulture?culture=de-DE&amp;redirectUrl=%2Fprod%2Fdc"><span class="flag-icon flag-icon-de flag-icon-menu"> </span></a></li>
        </ul>
    </li>
</ul>

<ul class="nav navbar-nav navbar-right" >
    <li><a href="/prod/Account/Login">Login</a></li>
    <li><a href="/prod/Account/Register">Registreren</a></li>
</ul>                                <ul class="nav navbar-nav navbar-right">
                    <li><a href="https://www.psinfoodservice.nl/contact/contact" target="_blank">Contact</a></li>
                </ul>
<ul class="nav navbar-nav navbar-right">
    <li class="dropdown">
        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
            <span>Selecteer FoodBook</span>
            <span class="caret"></span>
        </a>

            <ul class="dropdown-menu" role="menu">
                <li><a href="/prod/dc/be">FoodBook - BE</a></li>
            </ul>

    </li>
</ul>                </div>
            <!-- /.navbar-collapse -->
        </div>
        <!-- /.container-fluid -->
    </nav>
    <div class="banner hidden-xs">
        &nbsp;
    </div>
    <div class="container body-content">
        <!--[if lt IE 9]>
    <div class="alert alert-warning">
        Deze site wordt mogelijk niet goed weergegeven in IE 8 of lager.
    </div>
    <![endif]-->
        
<script type="text/javascript">
    function ToggleMenu() {
        if ($('#filtersContainer').hasClass('hidden-xs')) {
            $('#filtersContainer').removeClass('hidden-xs');
        } else {
            $('#filtersContainer').addClass('hidden-xs');
        }
    }
</script>

<div class="row">
    <div class="col-xs-12 hidden-sm hidden-md hidden-lg">
        <button class="btn btn-default" onclick="ToggleMenu();return false;" style="margin: 10px 0 10px 0;" id="filterMobileButton">
            <span class="glyphicon glyphicon-filter" aria-hidden="true"></span>
            Filters
        </button>
    </div>
</div>
<div class="row">
    <div class="col-sm-4 hidden-xs" id="filtersContainer">
        <script src="/prod/Scripts/barcoder.min.js"></script>

<style>
    .k-window-titlebar {
        color: #FFFFFF !important;
        font-size: 120% !important;
        background-color: #009ee0 !important;
    }
</style>



<form id="filterForm" role="form" method="POST">
    <input id="hiddenCollapseFilterId" name="SelectedFilterOptions.collapseFilterId" type="hidden" value="filterkeywordPanelBody" />
    <input id="SelectedFilterOptions_FreeText" name="SelectedFilterOptions.FreeText" type="hidden" value="8710654160037" />
    <input id="SelectedFilterOptions_ProductGroupId" name="SelectedFilterOptions.ProductGroupId" type="hidden" value="" />
    <input id="SelectedFilterOptions_BrandId" name="SelectedFilterOptions.BrandId" type="hidden" value="" />
    <input id="SelectedFilterOptions_GrossierId" name="SelectedFilterOptions.GrossierId" type="hidden" value="" />
    <select class="hidden" id="SelectedFilterOptions_FreeFromAllergenIds" multiple="multiple" name="SelectedFilterOptions.FreeFromAllergenIds"><option value="7">rogge</option>
<option value="27">gerst</option>
<option value="28">haver</option>
<option value="29">spelt</option>
<option value="12">schaaldieren</option>
<option value="3">ei</option>
<option value="11">vis</option>
<option value="17">pinda&#39;s</option>
<option value="32">hazelnoten</option>
<option value="33">walnoten</option>
<option value="34">cashewnoten</option>
<option value="35">pecannoten</option>
<option value="36">paranoten</option>
<option value="37">pistachenoten</option>
<option value="38">macadamianoten</option>
<option value="21">selderij</option>
<option value="24">mosterd</option>
<option value="22">sesam</option>
<option value="19">sulfiet (E220 - E228)</option>
<option value="23">lupine</option>
<option value="26">weekdieren</option>
</select>
    <select class="hidden" id="SelectedFilterOptions_ContainsAllergenIds" multiple="multiple" name="SelectedFilterOptions.ContainsAllergenIds"><option value="5">glutenbevattende granen</option>
<option value="6">tarwe</option>
<option value="4">soja</option>
<option value="1">melk</option>
<option value="16">noten</option>
<option value="31">amandelen</option>
</select>
    <select class="hidden" id="SelectedFilterOptions_QualityMarkIds" multiple="multiple" name="SelectedFilterOptions.QualityMarkIds"></select>
    <select class="hidden" id="SelectedFilterOptions_CharacteristicIds" multiple="multiple" name="SelectedFilterOptions.CharacteristicIds"><option value="4">Vrij van glutamaat</option>
<option value="7">Vrij van kip en gevogelte</option>
<option value="14">Vrij van rundvlees</option>
<option value="20">Vrij van varkensvlees</option>
</select>

    <div class="panel-group" id="filterAccordion" role="tablist" aria-multiselectable="false">
        <!-- Filter op keywords -->
        <div class="panel panel-default">
            <div class="panel-heading" role="tab" id="filterkeywordPanel">
                <h4 class="panel-title">
                    <a class="collapsed" data-toggle="collapse" data-parent="#filterAccordion" href="#filterkeywordPanelBody"
                       aria-expanded="false" aria-controls="filterkeywordPanelBody">EAN of artikelnummer</a>
                </h4>
            </div>
            <div id="filterkeywordPanelBody" class="panel-collapse collapse" role="tabpanel"
                 aria-labelledby="filterkeywordPanel">
                <div class="panel-body">

                    <!--EAN-->
                    <div class="input-group">
                        <input class="form-control" id="SelectedFilterOptions_Ean" name="SelectedFilterOptions.Ean" placeholder="EAN-nummer" type="text" value="" />
                        
                        <span class="input-group-btn">
                            
                            <span id="btnSubmitGtinSearch" class="btn btn-default">Filter</span>
                        </span>
                    </div>

                    <!--Producentnummer-->
                    <div class="input-group">
                        <input class="form-control" id="SelectedFilterOptions_ProducerNumber" name="SelectedFilterOptions.ProducerNumber" placeholder="Artikelnummer producent" type="text" value="" />
                        <span class="input-group-btn">
                            <input type="submit" class="btn btn-default" value="Filter" />
                            
                        </span>
                    </div>

                    <!-- Artikelnummer Grossier -->
                        <div class="input-group">
                            <input class="form-control" id="SelectedFilterOptions_GrossierNumber" name="SelectedFilterOptions.GrossierNumber" placeholder="Groothandelnummer" type="text" value="" />
                            <!-- todo: aanpassen naar naam van catalog!-->
                                <div class="input-group-btn">
                                    <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                                            <span>Groothandel</span>
                                        <span class="caret"> </span>
                                    </button>
                                    <ul class="dropdown-menu" role="menu">
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 18978, true)">Advion BV</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 12006, true)">Bakeplus Holding b.v.</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 4189, true)">Bidfood (Deli XL)</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 13465, true)">Booijmans Foodimpuls</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 11960, true)">Boonstra Verswaren</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 7183, true)">Brugel groothandel</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 8997, true)">Bunzl</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 13458, true)">Chefs Culinar Nederland</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 7241, true)">De Kweker</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 13501, true)">Deelen Verswaren BV</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 10897, true)">DG Grootverbruik</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 10720, true)">Dijkgraaf Reinders</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 12865, true)">Food Focus</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 6581, true)">Gepu</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 7081, true)">Haarsma Foodimpuls</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 19008, true)">Holland Food Service | Lekker Verantwoord</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 6086, true)">Holland Food Service bv</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 6828, true)">Horesca At&#233;</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 6415, true)">Horesca Lieferink | Locatie Twello</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 11112, true)">Horesca Lieferink | Locatie Zeist</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 6390, true)">Horesca Meppel</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 12561, true)">Horesca Smulders Horeca Grootverbruik  bv</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 9526, true)">Huuskes Versproducten</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 18825, true)">IJsExpress</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 14535, true)">Krijt Moester</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 11297, true)">Langerak de Jong</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 11280, true)">Makro</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 3983, true)">Sligro Food Group Nederland BV</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 18133, true)">Telesuper</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 8535, true)">Totaalvers</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 12121, true)">Van Altena groothandel</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 12197, true)">Van de Ven Groothandel</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 11432, true)">VAV groep</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 16327, true)">Verscentrum Nederland</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 4617, true)">VHC Actifood bv</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 6358, true)">Zegro Centrum Rotterdam bv</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 12276, true)">Zuivelgroothandel Kroon</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 12147, true)">Palveco | Palv&#233; versgroep</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 12460, true)">Versalert</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 9576, true)">Jelco BV | Palv&#233; versgroep</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 13251, true)">Volfood Versgroothandel</a>
                                            </li>
                                            <li>
                                                <a href="#" onclick="addFilterPS('SelectedFilterOptions_GrossierId', 6356, true)">Veldboer Eenhoorn</a>
                                            </li>
                                    </ul>
                                </div>
                        </div>
                </div>
            </div>
        </div>

        <!-- Filter op productgroepen -->
            <div class="panel panel-default">
                <div class="panel-heading" role="tab" id="filterGroupPanel">
                    <h4 class="panel-title">
                        <a data-toggle="collapse" data-parent="#filterAccordion" href="#filterGroupPanelBody"
                           aria-expanded="false" aria-controls="filterGroupPanelBody">
                            Productgroepen 
                        </a>
                    </h4>
                </div>
                <div id="filterGroupPanelBody" class="panel-collapse collapse" role="tabpanel"
                     aria-labelledby="filterGroupPanel">
                    <div class="panel-body">
                        <div class="k-widget k-treeview k-reset" id="TreeViewTest"><ul class="k-group"><li class="k-item k-first k-last" data-expanded="true" data-id="64"><div class="k-top k-bot"><span class="k-icon k-i-collapse"></span><span class="k-in">Brood en banket</span></div><ul class="k-group"><li class="k-item k-last" data-expanded="true" data-id="131"><div class="k-top k-bot"><span class="k-icon k-i-collapse"></span><span class="k-in">Cake en koek</span></div><ul class="k-group"><li class="k-item k-last" data-id="317"><div class="k-top k-bot"><span class="k-in">Grote koeken</span></div></li></ul></li></ul></li></ul></div><script>
	kendo.syncReady(function(){jQuery("#TreeViewTest").kendoTreeView({"select":onSelect});});
</script>
                    </div>
                </div>
            </div>
        <!-- Filter op brands -->
        <div class="panel panel-default">
            <div class="panel-heading" role="tab" id="filterBrandsPanel">
                <h4 class="panel-title">
                    <a class="collapsed" data-toggle="collapse" data-parent="#filterAccordion" href="#filterBrandsPanelBody"
                       aria-expanded="false" aria-controls="filterBrandsPanelBody">Merken</a> 
                </h4>
            </div>
            <div id="filterBrandsPanelBody" class="panel-collapse collapse" role="tabpanel" aria-labelledby="filterBrandsPanel">
                <div class="panel-body">
                    <div class="list-group-item">
                        <input id="PS_brands" name="PS_brands" style="width:100%;" type="text" /><script>
	kendo.syncReady(function(){jQuery("#PS_brands").kendoComboBox({"change":selectPSbrand,"dataSource":{"transport":{"read":{"url":"/prod/dc/nl/12345/ps/FilterBrands","data":function() { return kendo.ui.ComboBox.requestData(jQuery("#PS_brands")); }},"prefix":""},"serverFiltering":true,"filter":[],"schema":{"errors":"Errors"}},"dataTextField":"Name","filter":"contains","noDataTemplate":"Geen resultaten","minLength":2,"autoBind":true,"dataValueField":"Id","placeholder":"Zoek op merknaam"});});
</script>
                    </div>
                    <div class="showmoreless list-group-item">
                        <span>1 merk</span>
                    </div>
                </div>
            </div>
        </div>

        <!-- Filter op allergens free from -->
        <div class="panel panel-default">
            <div class="panel-heading" role="tab" id="filterAllergenFreeFromPanel">
                <h4 class="panel-title">
                    <a class="collapsed" data-toggle="collapse" data-parent="#filterAccordion" href="#filterAllergenFreeFromPanelBody"
                       aria-expanded="false" aria-controls="filterAllergenFreeFromPanelBody">
                        Allergenen (bevat niet) 
                    </a>
                </h4>
            </div>
            <div id="filterAllergenFreeFromPanelBody" class="panel-collapse collapse" role="tabpanel"
                 aria-labelledby="filterAllergenFreeFromPanel">
                <div class="panel-body">
                    <div class="list-group" id="allergenFreefromUnsortedList">
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 7)">
                                    <span>rogge</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 27)">
                                    <span>gerst</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 28)">
                                    <span>haver</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 29)">
                                    <span>spelt</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 12)">
                                    <span>schaaldieren</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 3)">
                                    <span>ei</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 11)">
                                    <span>vis</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 17)">
                                    <span>pinda&#39;s</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 32)">
                                    <span>hazelnoten</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 33)">
                                    <span>walnoten</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 34)">
                                    <span>cashewnoten</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 35)">
                                    <span>pecannoten</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 36)">
                                    <span>paranoten</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 37)">
                                    <span>pistachenoten</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 38)">
                                    <span>macadamianoten</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 21)">
                                    <span>selderij</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 24)">
                                    <span>mosterd</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 22)">
                                    <span>sesam</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 19)">
                                    <span>sulfiet (E220 - E228)</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 23)">
                                    <span>lupine</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_FreeFromAllergenIds', 26)">
                                    <span>weekdieren</span>
                                </a>
                    </div>
                </div>
            </div>
        </div>
        <!-- Filter op allergens contains -->
        <div class="panel panel-default">
            <div class="panel-heading" role="tab" id="filterAllergenContainPanel">
                <h4 class="panel-title">
                    <a class="collapsed" data-toggle="collapse" data-parent="#filterAccordion" href="#filterAllergenContainPanelBody"
                       aria-expanded="false" aria-controls="filterAllergenContainPanelBody">
                        Allergenen (bevat) 
                    </a>
                </h4>
            </div>
            <div id="filterAllergenContainPanelBody" class="panel-collapse collapse" role="tabpanel" aria-labelledby="filterAllergenContainPanel">
                <div class="panel-body">
                    <div class="list-group" id="allergenContainUnsortedList">
                                    <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_ContainsAllergenIds', 5)">
                                        <span>glutenbevattende granen</span>
                                    </a>
                                    <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_ContainsAllergenIds', 6)">
                                        <span>tarwe</span>
                                    </a>
                                    <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_ContainsAllergenIds', 4)">
                                        <span>soja</span>
                                    </a>
                                    <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_ContainsAllergenIds', 1)">
                                        <span>melk</span>
                                    </a>
                                    <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_ContainsAllergenIds', 16)">
                                        <span>noten</span>
                                    </a>
                                    <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_ContainsAllergenIds', 31)">
                                        <span>amandelen</span>
                                    </a>

                    </div>
                </div>
            </div>
        </div>

        <!-- Filter op qualitymarks -->
        <div class="panel panel-default">
            <div class="panel-heading" role="tab" id="filterQualityMarksPanel">
                <h4 class="panel-title">
                    <a class="collapsed" data-toggle="collapse" data-parent="#filterAccordion" href="#filterQualityMarksPanelBody"
                       aria-expanded="false" aria-controls="filterQualityMarksPanelBody">Keurmerken</a> 
                </h4>
            </div>
            <div id="filterQualityMarksPanelBody" class="panel-collapse collapse" role="tabpanel"
                 aria-labelledby="filterQualityMarksPanel">
                <div class="panel-body">
                    <div class="list-group" id="qualitymarkUnsortedList">

                            <span class="lblNoFilters"><i>Geen filters beschikbaar</i></span>
                    </div>
                </div>
            </div>
        </div>

        <!-- Filter op kenmerken-->
        <div class="panel panel-default">
            <div class="panel-heading" role="tab" id="filterCharacteristicsPanel">
                <h4 class="panel-title">
                    <a class="collapsed" data-toggle="collapse" data-parent="#filterAccordion" href="#filterCharacteristicsPanelBody"
                       aria-expanded="false" aria-controls="filterCharacteristicsPanelBody">Kenmerken</a> 
                </h4>
            </div>
            <div id="filterCharacteristicsPanelBody" class="panel-collapse collapse" role="tabpanel"
                 aria-labelledby="filterCharacteristicsPanel">
                <div class="panel-body">
                    <div class="list-group" id="characteristicUnsortedList">
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_CharacteristicIds', 4)">
                                    <span>Vrij van glutamaat</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_CharacteristicIds', 7)">
                                    <span>Vrij van kip en gevogelte</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_CharacteristicIds', 14)">
                                    <span>Vrij van rundvlees</span>
                                </a>
                                <a class="list-group-item" href="#" onclick="addArrayFilter('SelectedFilterOptions_CharacteristicIds', 20)">
                                    <span>Vrij van varkensvlees</span>
                                </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--end panel group-->
    <!--
    <button type="submit" class="btn btn-default">Filteren</button>
    -->
</form>

<div data-role="dialog" id="dialog"></div><script>
	kendo.syncReady(function(){jQuery("#dialog").kendoDialog({"title":"Zoekopdracht niet valide","visible":false,"width":460});});
</script>

<script language="javascript" type="text/javascript">

    $(document).ready(function () {
        var showMoreOptions = {
            max: '5',
            moreText: 'toon alle ([COUNT])',
            lessText: 'toon minder'
        };
        $('#allergenFreefromUnsortedList').ListShowMoreLess(showMoreOptions);
        $('#qualitymarkUnsortedList').ListShowMoreLess(showMoreOptions);
        $('#allergenContainUnsortedList').ListShowMoreLess(showMoreOptions);
        $('#characteristicUnsortedList').ListShowMoreLess(showMoreOptions);
    });

    function onSelect(e) {
        addFilterPS('SelectedFilterOptions_ProductGroupId', this.dataItem(e.node).id);
    }
    function selectPSbrand(e) {
        if (this.value()>0)
            addFilterPS('SelectedFilterOptions_BrandId', this.value());
    }


    // GTIN VALIDATION
    $('#btnSubmitGtinSearch').click(function () {
        validateGtin($("#SelectedFilterOptions_Ean").val());
    });

    //$("#btnSubmitArtNrSearch").click(function () {
    //    validateGtin($("#SelectedFilterOptions_Ean").val());
    //});

    function centerKendoWindow(e) {
        this.center();
    }

    function validateGtin(submittedEan) {
        if (submittedEan == "") {
            $('#filterForm').submit();
        }
        else {
            validator = new Barcoder(); var validation1 = validator.validate(jQuery.trim(submittedEan));
            //console.log('%s is valid: %s and has guessed type: %s', submittedEan, validation1.isValid, validation1.possibleType);

            if (validation1.isValid) {
                //console.log("VALID");
                $('#filterForm').submit();
            }
            else {
                //console.log("Je hebt een invalide EAN getoond");
                var warning = "<p style='padding: 10px;'>Je hebt gezocht op EAN nummer <strong>" + submittedEan + "</strong>, dit is echter geen valide EAN</p>";
                $('#dialog').data("kendoDialog").content(warning);
                $('#dialog').data("kendoDialog").open();
            }
        }
    }

</script>

    </div>
    <div class="col-sm-4 hidden-xs hidden" id="resultListLeft">
            <ul class="media-list productresult">
        <li class="media" onclick="loadDetailPage('/prod/dc/nl/12345/ps/ProductDetailPartial/6682'); return false;" title="Super appelkoeken">                
            <div class="media-left thumb text-center  media-middle">
                <div>
                        <img class="media-object assetimage" alt="media" src="https://permalink.psinfoodservice.com/prod/image/123492/05c5cd27-5def-41a1-808d-9a01eabc6c1e?w=60&amp;h=60" />
                </div>
            </div>
            <div class="media-body media-middle">
                <h4 class="media-heading">
                    Super appelkoeken

                </h4>
                <p class="list-group-item-text">
                    <small>de Molen&#39;s Banket</small><br />
                    <small>EAN:&nbsp;8710654160037, 8710654000586</small>
                </p>
            </div>
        </li>
    </ul>

<div>
</div>
    </div>
    <div class="col-sm-8 col-xs-12">
        <div id="searchandfilterContainer">
            
            <form id="searchForm" method="POST">
                <div class="input-group">
                    <input id="searchInput" type="text" class="form-control" placeholder="Zoek op productnaam, merk, trefwoord of EAN. "
                           value="8710654160037">
                    <span class="input-group-btn">
                        <button class="btn btn-success" type="submit">Zoek</button>
                        <button class="btn btn-warning" onclick="location.href='/prod/dc';return false;">Reset alle filters</button>
                    </span>
                </div>
            </form>
            <div style="margin-bottom: 10px;" id="filterSummaryContainer">
                
                    <div class="bs-callout bs-callout-warning" id="filterSummary">






            <a href="#" class="label label-default" onclick="removeFilterPS('SelectedFilterOptions_FreeText'); removeFilterPS('SelectedFilterOptions_Ean')">
                Zoeken op: 8710654160037
                <span class="glyphicon glyphicon-remove-circle" />
            </a>


        


        
    </div>

            </div>
        </div>
        <div id="resultList" class="hidden">
            
<ul class="media-list productresult">
        <li class="media" onclick="loadDetailPage('/prod/dc/nl/12345/ps/ProductDetailPartial/6682'); return false;" title="Super appelkoeken">            
            <div class="media-left thumb text-center media-middle">                
                <div>
                        <img class="media-object assetimage" alt="media" src="https://permalink.psinfoodservice.com/prod/image/123492/05c5cd27-5def-41a1-808d-9a01eabc6c1e?w=250&amp;h=250" />
                </div>
            </div>            
            <div class="media-body media-middle">
                <h4 class="media-heading">
                    Super appelkoeken
                </h4>
                <p class="list-group-item-text">
                    <small>de Molen&#39;s Banket</small><br />
                    <small>
                        EAN:&nbsp;8710654160037, 8710654000586
                            <span>(100 gram)</span>
                    </small>
                </p>
            </div>
        </li>
</ul>

<div>
</div>
        </div>

        <div class="hidden" id="resultDetail">
            <h2>Oeps!   Je zoekopdracht leverde geen producten op.</h2>
<p>Het kan zijn dat het product dat je zoekt wel in de database van PS in foodservice zit, maar niet gevonden kan worden met deze zoekopdracht. Het product wel vinden? Controleer eerst dit:</p>
<ul>
    <li>Gebruik <b>één</b> productnaam of merk in je zoekopdracht. Hoe korter hoe beter!</li>
    <li>Staat er per ongeluk nog <b>een filter</b> aan die het zoeken beperkt?</li>
    <li>Gebruik <b>geen komma’s</b> in je zoekopdracht.</li>
    <li>Gebruik (een deel van) de <b>exacte</b> naam (zoals de producent hem communiceert) van het product/merk. Houd het zo <b>kort</b> mogelijk!</li>
    <li>Wil je zoeken met <b>een nummer</b>? Bijvoorbeeld van een EAN, artikelnummer fabrikant of grossier? Gebruik het veld onder het filter links.</li>
</ul>
<p>
    Nog steeds geen resultaat? Of zou je willen dat een producent ook zijn productinformatie in het FoodBook laat plaatsen? Dat horen we graag! Vul <a href="https://docs.google.com/forms/d/18zms043oZ_cSXtLG76UIJlAeqfZ4VlduCp14iW0zVEQ/viewform" target="_blank">dit formulier</a> in, dan gaan wij ermee aan de slag!
</p>
            <button class="btn btn-default" type="button" onclick="showResultPage(); return false;">
                Terug
            </button>
        </div>
    </div>
</div>

<div class="modal fade" id="myModal" data-backdrop="static" data-keyboard="false">
    <div style="width: 100%; background-color: transparent; text-align: center;margin-top:16%;">
        <div style="background: #000000; opacity: 0.75; filter: alpha(opacity=75); width: 600px; border-radius: 5px; position: relative;  float: left;  top: 50%;  left: 50%;  transform: translate(-50%, -50%); ">
            <br />
            <span style="color: #FFFFFF; font-weight: normal; font-size: 160%; ">Even geduld a.u.b...</span><br /><br />
            <img src="/prod/Content/images/ps_loading_eclipse_blue.gif" width="50" alt="loading_animation" />
            <br /><br />
        </div>
    </div>
</div>


        <hr />
        <span id="showSurvey" class="fbBtn hidden-xs" style="display: none;" >
            Feedback
        </span>
        <div data-role="dialog" id="FoodbookSurveyModal"></div><script>
	kendo.syncReady(function(){jQuery("#FoodbookSurveyModal").kendoDialog({"title":"PS Foodbook - feedback","visible":false,"width":640,"content":"\u003ciframe class=\u0027gFormIframe\u0027 src=\u0027https://docs.google.com/forms/d/e/1FAIpQLSdw9av52vBurb-u4vcg5338NhXVMcjEv8mYF7ZiWcT2xW2Ozg/viewform?embedded=true\u0027 style=\u0027overflow-y: hidden;\u0027  width=\u0027600\u0027 height=\u00271080\u0027 frameborder=\u00270\u0027 marginheight=\u002720\u0027 marginwidth=\u00270\u0027\u003e\u003c/iframe\u003e"});});
</script>

        <footer class="foott">
            <p>


                <span class="footer">
                    &copy; 2019 -
                    <a href="/prod/Account/ResetCurrentSession?returnUrl=https%3A%2F%2Ffoodbook.psinfoodservice.com%2Fprod%2Fdc">PS Foodbook</a>
                    powered by <a target="_blank" href="https://www.psinfoodservice.nl/">PS in foodservice</a>
                    - <a href="https://permalink.psinfoodservice.com/prod/documents/standards/Privacyverklaring.pdf" target="_blank">Privacy verklaring</a>
                    - <a href="https://permalink.psinfoodservice.com/prod/documents/standards/Disclaimer.pdf" target="_blank">Disclaimer</a>
                    - 3.2.0 - prod
                </span>
            </p>
        </footer>
    </div>

    <script src="/prod/Scripts/Site.js?v=3.2.0"></script>

    
        <script>
            (function (i, s, o, g, r, a, m) {
                i['GoogleAnalyticsObject'] = r;
                i[r] = i[r] || function () {
                    (i[r].q = i[r].q || []).push(arguments)
                }, i[r].l = 1 * new Date();
                a = s.createElement(o),
                    m = s.getElementsByTagName(o)[0];
                a.async = 1;
                a.src = g;
                m.parentNode.insertBefore(a, m)
            })(window, document, 'script', '//www.google-analytics.com/analytics.js', 'ga');
            ga('create', 'UA-58848830-1', 'auto');
            ga('send', 'pageview');
        </script>
<!--
Start Cookie
https://cookieconsent.insites.com/
-->    
<link rel="stylesheet" type="text/css" href="/prod/Content/cookieconsent.min.css" />

<script src="/prod/Scripts/cookieconsent.min.js"></script>
<script>
    window.addEventListener("load", function(){
        window.cookieconsent.initialise({
            "palette": {
                "popup": {
                    "background": "#009ee0",
                    "text": "#ffffff"
                },
                "button": {
                    "background": "#fff",
                    "text": "#009ee0"
                }
            },
            "content": {
                "message": "Deze website gebruikt cookies.",
                "dismiss": "Begrepen",
                "link": "Meer informatie",
                "href": "https://www.psinfoodservice.nl/informatie/uitleg-cookies"
            }
        })});
</script>
<!--End cookie-->    



</body>
</html>
`;

let productHtml = `


<div class="row no-gutter">
    <div class="col-sm-12">
        <!--Languages-->

        <div class="btn-group">
            <button type="button" class="btn btn-default" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <span class="flag-icon flag-icon-nl flag-icon-menu"></span>
                <span class="caret"></span>
            </button>
            <ul class="dropdown-menu" style="min-width: 0px;">
                <li><a href="#" onclick="loadDetailPage('/prod/dc/nl/12345/ps/ProductDetailPartial/6682?languageId=1');return false;" type="button"><span class="flag-icon flag-icon-nl flag-icon-menu"> </span></a></li>
                <li><a href="#" onclick="loadDetailPage('/prod/dc/nl/12345/ps/ProductDetailPartial/6682?languageId=3');return false;" type="button"><span class="flag-icon flag-icon-en flag-icon-menu"> </span></a></li>
                <li><a href="#" onclick="loadDetailPage('/prod/dc/nl/12345/ps/ProductDetailPartial/6682?languageId=4');return false;" type="button"><span class="flag-icon flag-icon-fr flag-icon-menu"> </span></a></li>
                <li><a href="#" onclick="loadDetailPage('/prod/dc/nl/12345/ps/ProductDetailPartial/6682?languageId=2');return false;" type="button"><span class="flag-icon flag-icon-de flag-icon-menu"> </span></a></li>
            </ul>
        </div>
        <!--more options-->
            <div class="btn-group">
                <button alt="Meer informatie"
                        class="btn btn-default dropdown-toggle"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Meer informatie
                    <span class="caret"></span>
                </button>


                <ul class="dropdown-menu">
                    <li>
                        <a target="_blank" href="/prod/dc/nl/12345/ps/ProductSheet?packagedProductId=6682&amp;languageId=1">Volledige productspecificatie</a>
                    </li>


                    <li><a target="_blank" href="/prod/Company/Brand/81">Meer over dit merk</a></li>

                    <li><a target="_blank" href="/prod/Company/BrandOwner/4202?productid=6682">Meer over deze producent</a></li>
                </ul>
            </div>
                    <div class="btn-group">
                <button alt="Verkrijgbaar bij"
                        class="btn btn-default" data-toggle="dropdown"
                        aria-haspopup="true"
                        aria-expanded="false" onclick="OpenAvailableAtDropdown()">
                    Verkrijgbaar bij
                    <span class="caret"></span>
                </button>
                <ul class="dropdown-menu" id="AvailableAtDropdown">
                    <li><a target="_blank" href="#">wordt geladen</a></li>
                </ul>

            </div>
                    <a class="btn btn-default" target="_blank" href="/prod/Company/BrandOwner/4202?productid=6682#askquestionpanel">Stel een vraag over dit product</a>        <div class="btn-group pull-right" role="group" aria-label="...">
            <a class="btn btn-success" onclick="showResultPage();return false;" href="#" title="zoekresultaat">
                <span style="padding-right: 5px;" class="glyphicon glyphicon-arrow-left" />zoekresultaat
            </a>
        </div>
    </div>

</div>

<style>
    @media print{div.productsheet h1.sectionheader{color:#000;}div.productsheet body{width:29cm;}}div.productsheet div.section div.section-data span.formlabel{font-weight:bold;}div.productsheet thead{display:table-header-group;}div.productsheet h1.sectionheader{color:#009ee0;font-size:24px;}div.productsheet h2.sectionheader{color:#009ee0;font-size:16px;}div.productsheet #section-title h1,div.productsheet #section-title h2,div.productsheet #section-title h3,div.productsheet #section-title h4{color:#009ee0;}div.productsheet #section-title h2{color:#009ee0;}div.productsheet div.section-data{padding-left:10px;}div.productsheet div#section-logistic span{font-weight:bold;}div.productsheet #section-title #brandLink{text-decoration:none;}div.productsheet div#section-images a.assetlink,div.productsheet div#section-images a.assetlink:focus,div.productsheet div#section-images a.assetlink:active,div.productsheet div#section-images a.assetlink:hover,div.productsheet div#section-images a.assetlink:visited{border:transparent none 0;text-decoration:none;}
</style>

    <div class="productsheet">

        

        <style>
    #section-printheader {
        display: none;
    }

    @media print {
        #section-printheader {
            display: block;
        }
    }
</style>

    <div id="section-printheader" class="section" style="page-break-inside: avoid">
        <div class="section-data">
            <div class="row">
                <div class="col-xs-10 text-center">
                        <div>
                            <p>
                                <span>Artikelnummer: </span>
                                <span>EAN: 8710654160037 </span>
                            </p>
                            <p>
                                <span>Super appelkoeken</span>
                            </p>
                        </div>
                </div>
                <div class="col-xs-2">
                    <img class="pull-right" alt="" src="https://productsheet.psinfoodservice.com/prod/Content/ps_logo.png" style="max-width: 75px; max-height: 75px;" />
                </div>
            </div>
        </div>
        <hr style="border-top-color:  black" />
    </div>


                <div id="section-title" class="section" style="page-break-inside: avoid">
            <div class="section-data">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="row">
                            <div class="col-xs-10" style="padding-right: 40px;">
                                <h1 style="font-size: 2.1em;">
                                    Super appelkoeken
                                    <br />
                                    <a href="#" id="brandlink"><small>de Molen&#39;s Banket</small></a>
                                    <br />
                                </h1>
                            </div>
                            <div class="col-xs-2">

                                    <img class=" pull-right" style="max-height: 50px; max-width: 150px; margin-top: 20px;" src="https://permalink.psinfoodservice.com/prod/image/88/B1522873-E0F1-4296-9486-F5366E3C0223?w=250&amp;h=50" alt="brand"/>
                            </div>

                        </div>
                            <p>Appelkoeken.</p>
                        <span>
                            EAN: 
                            <span>
                                        8710654160037 (CE)
                                        ,
                                        8710654000586 (HE)
                            </span>
                            <span>TM: NL</span>
                        </span>
                    </div>
                </div>
            </div>
        </div>


                <div id="section-images" class="section">
            <div class="section-data">
                <div class="row" style="margin-top: 15px;">
                    <style>
                        /*https://stackoverflow.com/questions/20456694/grid-of-responsive-squares*/
                        .assetImage, .assetImageDefault {
                            float: left;
                            position: relative;
                            width: 20%;
                            padding-bottom: 20%; /* = width for a 1:1 aspect ratio */
                            margin: 1.66%;
                            background-position: center center;
                            background-repeat: no-repeat;
                            background-size: contain; /*cover, you change this to "contain" if you don't want the images to be cropped */
                        }

                        .assetImageDefault {
                            width: 100%;
                            padding-bottom: 100%; /* = width for a 1:1 aspect ratio */
                            background-size: contain;
                            background-position: top left;
                            margin: 0;
                        }

                        .videoIcon {
                            width: 100%;
                            background-color: transparent;
                            top: 40%;
                            text-align: center;
                            position: absolute;
                        }
                    </style>
                    <!--ASSETS default-->
                    <div class="col-xs-4">

                                <a href="https://permalink.psinfoodservice.com/prod/image/123492/05C5CD27-5DEF-41A1-808D-9A01EABC6C1E?w=1000&amp;h=1000" class="assetlink" data-fancybox="asset">
                                    <div class="assetImageDefault" style="background-image: url('https://permalink.psinfoodservice.com/prod/image/123492/05C5CD27-5DEF-41A1-808D-9A01EABC6C1E?w=500&amp;h=500')"></div>
                                </a>

                    </div>

                    <div class="col-xs-8">
                        <!--VIDEO-->
                        <!--ASSETS other than default -->

                                                <a href="https://permalink.psinfoodservice.com/prod/image/123494/C8FB1AB3-10FE-443F-8A3C-086B3D47921C?w=1000&amp;h=1000" class="assetlink" data-fancybox="asset">
                                                    <div class="assetImage" style="background-image: url('https://permalink.psinfoodservice.com/prod/image/123494/C8FB1AB3-10FE-443F-8A3C-086B3D47921C?w=500&amp;h=500')">
                                                    </div>
                                                </a>

                    </div>
                </div>
            </div>
        </div>

<script>
    
    function vimeoLoadingThumb(id, divid) {

        var url = "http://vimeo.com/api/v2/video/" + id + ".json";
        var url_https = url.replace('http', 'https');

        var mediumTHUMBnail = "";

        $.getJSON(url_https, function () {
        }).done(function (response) {
            mediumTHUMBnail = response[0].thumbnail_medium;
            $('#' + divid).css("background-image", "url(" + mediumTHUMBnail +")");
        });
    }

    $(function () {
        // Video's VIMEO Fix the videau thumbnail by json call
        $(".isVideo").each(function (item) {
            var origId = this.id;
            var splittedID = origId.split("_");
            var videoRef = splittedID[1];
            var videoFT = $("#" + origId).attr("data-vftype");

            if (videoFT == 302) { // VIMEO
                vimeoLoadingThumb(videoRef, origId);
            }
        });
    });

</script>


        

        

        

        

        

        
                    <div id="section-ingredient" class="section">
                <h1 class="sectionheader">Ingredi&#235;nten</h1>
                <div class="section-data">
                    <div class="row">
                        <div class="col-sm-12">
                            <span>TARWEBLOEM, glucose-fructosestroop, suiker, plantaardige olie (palm, raap, zonnebloem), 10% appel, invertsuikerstroop, conserveermiddel (E202, E282), zout, rijsmiddelen (E450, E500), zuurteregelaar (E332, E333), verdikkingsmiddel (pectine), aroma, MELKEIWIT, voedingszuur (citroenzuur), lactose (MELK), emulgatoren (lecithine (SOJA, zonnebloem), E471), kleurstof (caroteen)</span>
                        </div>
                    </div>

                </div>
            </div>



    <div id="section-nutrient" class="section" style="page-break-inside: avoid">
        <h1 class="sectionheader">Voedingswaarde</h1>
            <div class="section-data">
                    <div style="page-break-inside: avoid">
                        <h2 class="sectionheader">
                            Product
                        </h2>
                        <table class="table table-striped table-condensed">
                            <thead style="display: table-header-group;">
                                <tr>
                                    <th class="col1">&nbsp;</th>
                                    <th class="col2">
                                        Per 100  (g)                                     </th>
                                    <th class="col3">
                                    </th>
                                    <th class="col0">
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                    <tr>
                                        <td>
                                            Energie
                                        </td>
                                        <td>
                                                <span>=&nbsp;1620&nbsp;kJ</span>
                                        </td>
                                        <td>
                                        </td>
                                        <td>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Energie
                                        </td>
                                        <td>
                                                <span>=&nbsp;380&nbsp;kcal</span>
                                        </td>
                                        <td>
                                        </td>
                                        <td>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Vetten
                                        </td>
                                        <td>
                                                <span>=&nbsp;13&nbsp;g</span>
                                        </td>
                                        <td>
                                        </td>
                                        <td>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Waarvan verzadigde vetzuren
                                        </td>
                                        <td>
                                                <span>=&nbsp;6.5&nbsp;g</span>
                                        </td>
                                        <td>
                                        </td>
                                        <td>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Koolhydraten
                                        </td>
                                        <td>
                                                <span>=&nbsp;62&nbsp;g</span>
                                        </td>
                                        <td>
                                        </td>
                                        <td>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Waarvan suikers
                                        </td>
                                        <td>
                                                <span>=&nbsp;36&nbsp;g</span>
                                        </td>
                                        <td>
                                        </td>
                                        <td>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Vezels
                                        </td>
                                        <td>
                                                <span>=&nbsp;1.5&nbsp;g</span>
                                        </td>
                                        <td>
                                        </td>
                                        <td>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Eiwitten
                                        </td>
                                        <td>
                                                <span>=&nbsp;4&nbsp;g</span>
                                        </td>
                                        <td>
                                        </td>
                                        <td>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Zout
                                        </td>
                                        <td>
                                                <span>=&nbsp;0.43&nbsp;g</span>
                                        </td>
                                        <td>
                                        </td>
                                        <td>
                                        </td>
                                    </tr>
                            </tbody>
                        </table>
                    </div>
            </div>
    </div>
    <div id="section-allergen" style="page-break-inside: avoid">
        <h1 class="sectionheader">Wettelijke allergenen</h1>
            <div class="section-data">
                <table class="table table-striped table-condensed">
                    <tr>
                        <td class="col1">Receptuur bevat</td>
                        <td class="col0">glutenbevattende granen, tarwe, soja, melk</td>
                    </tr>
                    <tr>
                        <td>Receptuur bevat niet, maar kan sporen bevatten van</td>
                        <td>noten, amandelen</td>
                    </tr>
                    <tr>
                        <td>Receptuur bevat niet</td>
                        <td>rogge, gerst, haver, spelt, schaaldieren, ei, vis, pinda&#39;s, hazelnoten, walnoten, cashewnoten, pecannoten, paranoten, pistachenoten, macadamianoten, selderij, mosterd, sesam, sulfiet (E220 - E228), lupine, weekdieren</td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            
                        </td>
                    </tr>
                </table>
            </div>
    </div>





        



        


<div id="section-disclaimer" class="section" style="page-break-inside: avoid;width: 100%">
    <p style="width: 100%;text-align:left; font-style: italic;">
        
Deze specificatie komt uit de database van <b>PS in foodservice</b>.<br />De producent van dit product is verantwoordelijk voor de juistheid van de gegevens. <a target="_blank" href="https://permalink.psinfoodservice.nl/prod/documents/standards/Disclaimer.pdf">Disclaimer</a>.    </p>
</div>

        <span style="color: lightgrey;">
            v1.4.1 prodpp6682dl1ly1ln1
        </span>
    </div>



<a href="#" class="btn btn-default" style="width: 100%"><span class="glyphicon glyphicon glyphicon-arrow-up"></span></a>

<script language="javascript" type="text/javascript">
    var availableAtLoaded = false;

    function OpenAvailableAtDropdown() {
        if (availableAtLoaded === false) {
            $.ajax({
                url: '/prod/dc/nl/12345/ps/AvailableOnPartial?packagedProductId=6682&brandOwnerId=4202',
            type: "GET",
            dataType: "HTML",
            //data: id,
            cache: false,
            success: function (html) {
                $('#AvailableAtDropdown').html(html);
                availableAtLoaded = true;
            }
            });
            }

    }
    $(function () {
        //place imageUrl from image to link and increase size
        $("[data-fancybox] > img").each(function (index) {
            //console.log("asset " + index + " " + $(this).attr("src"));
            var urlLarge = $(this).attr("src");
            urlLarge = replaceUrlParam(urlLarge, 'w', '750');
            urlLarge = replaceUrlParam(urlLarge, 'h', '750');
            //console.log("asset " + index + " " + replaceUrlParam(urlLarge,'w','750'));
            $(this).parent().attr("href", urlLarge);
            //console.log($(this).parent());
        });
        //add link to the brand
        $(".productsheet #section-title #brandlink").each(function (index) {
            //console.log("brandlink " + index);
            $(this).attr("href", "/prod/Company/Brand/81");
            $(this).attr("target","_blank");
        });
        //activate fancybox
        $("[data-fancybox]").fancybox({
            //selector: '[data-fancybox="images"]'
            //selector: 'assetviewer',
            protect: true
        });
        //prevent asset images from downloading
        $('img.assetimage').on('contextmenu.fb', function (e) {
            //console.log("right click mouse img (" + e.button + ")");
            if ( e.button === 2 ) {
                e.preventDefault();
            }
            return true;
        });
    });
</script>`;

console.log(parse.parseSearch(searchHtml));
console.log(parse.parseProduct(productHtml));
