"use strict";

const dotty = require("dotty");

let json = `{"status":{"version":"3.1","code":"200","message":"free 0\/15","find":"0025192251344","search":"normal","run":"0.2021","runtime":"0.2113"},"product":{"attributes":{"product":"Jaws","url":"http:\/\/www.jaws25.com\/","model":"29466797","price_new":"6.9400","price_new_extra":"USD","price_new_extra_long":"US Dollars","price_new_extra_id":"537","price_used":"4.9900","price_used_extra":"USD","price_used_extra_long":"US Dollars","price_used_extra_id":"537","asin_com":"B00MA5KL9I","category":"55","category_text":"Movie","category_text_long":"Electronics \/ Photography: A\/V Media: Movie","width":"5.3000","width_extra":"in","width_extra_long":"inches","width_extra_id":"501","height":"0.3500","height_extra":"in","height_extra_long":"inches","height_extra_id":"501","length":"6.7500","length_extra":"in","length_extra_long":"inches","length_extra_id":"501","weight":"15.0000","weight_extra":"lb\/100","weight_extra_long":"hundredths pounds","weight_extra_id":"765","long_desc":"*** only visible with paid data feed ***","features":"Shrink-wrapped","binding":"Blu-ray","published":"2016-01-26","similar":"0012569828476, 0025192092824, 0025192279218, 0025192347627, 0025192354595, 0025192354601, 0025192354618, 0032429134967, 0043396374003, 0043396496941, 0097361467641, 0191329029053, 0191329047200, 0709112696308, 5051368208930, 5051892007344, 5053083090555, 9780783282336","release_year":"1975.0000","movie_cast":"*** only visible with paid data feed ***","movie_aspect":"2.35:1","format":"Multiple Formats, Blu-ray, Ultraviolet, Color, Widescreen","movie_genre":"Action\/Adventure","movie_rating":"743","movie_rating_text":"PG","movie_rating_text_long":"PG - Parental Guidance Suggested","runtime":"124.0000","runtime_extra":"minutes","runtime_extra_long":"minutes","runtime_extra_id":"753","movie_imdb":"*** only visible with paid data feed ***","movie_runtime":"124.0000","movie_runtime_extra":"minutes","movie_runtime_extra_long":"minutes","movie_runtime_extra_id":"753","music_runtime":"124.0000","music_runtime_extra":"minutes","music_runtime_extra_long":"minutes","music_runtime_extra_id":"753","movie_director":"Steven Spielberg","movie_imdb_trailer":"*** only visible with paid data feed ***"},"EAN13":"0025192251344","UPCA":"025192251344","barcode":{"EAN13":"https:\/\/eandata.com\/image\/0025192251344.png","UPCA":"https:\/\/eandata.com\/image\/025192251344.png"},"locked":"0","modified":"2019-04-25 22:23:52","image":"https:\/\/eandata.com\/image\/products\/002\/519\/225\/0025192251344.jpg"}}
`;


let source = JSON.parse(json);

function parse() {
	let productName = dotty.get(source, "product.attributes.product");

	if (productName != null) {

		let data = {
			name: productName,
			image: dotty.get(source, "product.image")
		};

		let priceCurrency = dotty.get(source, "product.attributes.price_new_extra");
		let priceAmount = dotty.get(source, "product.attributes.price_new");

		if (priceAmount != null) {
			data.price = `$ ${priceAmount}`;
		}

		return data;
	} else {
		return null;
	}
}

console.log(parse());
